import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class PatientProfileButton extends StatelessWidget {
  final String nameLine1;
  final String nameLine2;
  final String icon;
  final dynamic route;
  final PatiantInformtion patient;
  final String url = "assets/images/";
  PatientProfileButton(
      {Key key, this.patient, this.nameLine1, this.nameLine2, this.icon, this.route})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return new Container(
      margin: new EdgeInsets.symmetric(horizontal: 4.0),
      child: InkWell(
        onTap: () {
          navigator(context, this.route);
        },
        child: Column(children: <Widget>[
          Container(
            alignment: Alignment.topLeft,
            padding: EdgeInsets.all(5),
            child:
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                AppText(
                  this.nameLine1,
                  color: Color(0xFFB9382C),
                  fontWeight: FontWeight.w600,
                  textAlign: TextAlign.left,
                  fontSize: SizeConfig.textMultiplier * 2,
                ),
                AppText(
                  this.nameLine2,
                  color: Colors.black,
                  fontWeight: FontWeight.w600,
                  textAlign: TextAlign.left,
                  fontSize: SizeConfig.textMultiplier * 2,
                ),
              ],
            ),
          ),
          Expanded(
            child: Container(
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.end,
                  children: <Widget>[
                    Container(
                        padding: EdgeInsets.all(10),
                        child: new Image.asset(url + icon))
                  ],
                )),
          )
        ]),
      ),
      decoration: BoxDecoration(
        // border: Border.all(),
        color: Colors.white,
        borderRadius: BorderRadius.all(Radius.circular(10)),
        border: Border.fromBorderSide(BorderSide(
          color: Color(0xffBBBBBB),
          width: 1,
        )),
        boxShadow: [
          BoxShadow(
            color: Colors.grey.withOpacity(0.2),
            spreadRadius: 5,
            blurRadius: 7,
            offset: Offset(0, 3), // changes position of shadow
          ),
        ],
      ),
      padding: EdgeInsets.fromLTRB(5, 10, 5, 5),
    );
  }

  void navigator(BuildContext context, route) {
    Navigator.of(context).pushNamed(route, arguments: {'patient': patient});
  }
}